<?php 
namespace Concrete\Package\LoginReturn\Block\LoginReturn;
use Concrete\Core\Block\BlockController;
use Concrete\Core\User\User;
class Controller extends BlockController {

	protected $btTable = 'btLoginReturn';
	protected $btInterfaceWidth = "400";
	protected $btInterfaceHeight = "220";
	protected $btDefaultSet = 'navigation';

	public function getBlockTypeDescription() {
		return t('Add a login link to your site that returns user to page they logged in on.');
	}

	public function getBlockTypeName() {
		return t('Login Return');
	} 
	
	 public function view() {
       
        if (!id(new User())->isLoggedIn()) {
            
            $label = ($this->loginLabel) ? $this->loginLabel : t('Log in');
        } else {
           
            $label = ($this->logoutLabel) ? $this->logoutLabel : t('Log out');
        }
        $this->set('label', $label);   
    }
	 
   public function on_start() {
        $this->set('app', $this->app);   
    } 
    
    public function validate($data) {
         $e = $this->app->make('error');
            
        if(strlen($data['loginLabel']) > 100){
			$e->add(t('Login label cannot exceed 100 characters.'));
		}
			
		if(strlen($data['logoutLabel']) > 100) {
            $e->add(t('Logout label cannot exceed 100 characters.'));
        }
       
        return $e;
    }	
	
}