<?php  
namespace Concrete\Package\LoginReturn;
use Concrete\Core\Package\Package;
use Concrete\Core\Block\BlockType\BlockType;
use Concrete\Core\Support\Facade\Database; 

class Controller extends Package {
	
	protected $pkgHandle = 'login_return';
	protected $appVersionRequired = '8.4';
	protected $pkgVersion = '1.0';
	 
	public function getPackageDescription(){
	    return t( "Add a login link to your site that returns user to page they logged in on." );
	}
	 
	public function getPackageName(){
		return t( "Login Return" );
	}

	public function install() {
	$pkg = parent::install();
	if (!BlockType::getByHandle('login_return')) {		
	BlockType::installBlockType('login_return', $pkg);			
	}
	
}
		
	public function uninstall(){
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btLoginReturn');
	}
	
}